Package com.omnisci.thrift.server

## Class TRenderParseResult

- java.lang.Object
- - com.omnisci.thrift.server.TRenderParseResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRenderParseResult>`, `org.apache.thrift.TBase<TRenderParseResult,​TRenderParseResult._Fields>`, `org.apache.thrift.TSerializable`

    public class TRenderParseResult
    extends Object
    implements org.apache.thrift.TBase<TRenderParseResult,​TRenderParseResult._Fields>, Serializable, Cloneable, Comparable<TRenderParseResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRenderParseResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `execution_time_ms`
`TMergeType` `merge_type`
`static Map<TRenderParseResult._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `node_id`
`long` `render_time_ms`
`long` `total_time_ms`

### Constructor Summary

Constructors
`TRenderParseResult()`
`TRenderParseResult​(TMergeType merge_type, int node_id, long execution_time_ms, long render_time_ms, long total_time_ms)`
`TRenderParseResult​(TRenderParseResult other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TRenderParseResult other)`
`TRenderParseResult` `deepCopy()`
`boolean` `equals​(TRenderParseResult that)`
`boolean` `equals​(Object that)`
`TRenderParseResult._Fields` `fieldForId​(int fieldId)`
`long` `getExecution_time_ms()`
`Object` `getFieldValue​(TRenderParseResult._Fields field)`
`TMergeType` `getMerge_type()`
`int` `getNode_id()`
`long` `getRender_time_ms()`
`long` `getTotal_time_ms()`
`int` `hashCode()`
`boolean` `isSet​(TRenderParseResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetExecution_time_ms()` Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetMerge_type()` Returns true if field merge_type is set (has been assigned a value) and false otherwise
`boolean` `isSetNode_id()` Returns true if field node_id is set (has been assigned a value) and false otherwise
`boolean` `isSetRender_time_ms()` Returns true if field render_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetTotal_time_ms()` Returns true if field total_time_ms is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TRenderParseResult` `setExecution_time_ms​(long execution_time_ms)`
`void` `setExecution_time_msIsSet​(boolean value)`
`void` `setFieldValue​(TRenderParseResult._Fields field, Object value)`
`TRenderParseResult` `setMerge_type​(TMergeType merge_type)`
`void` `setMerge_typeIsSet​(boolean value)`
`TRenderParseResult` `setNode_id​(int node_id)`
`void` `setNode_idIsSet​(boolean value)`
`TRenderParseResult` `setRender_time_ms​(long render_time_ms)`
`void` `setRender_time_msIsSet​(boolean value)`
`TRenderParseResult` `setTotal_time_ms​(long total_time_ms)`
`void` `setTotal_time_msIsSet​(boolean value)`
`String` `toString()`
`void` `unsetExecution_time_ms()`
`void` `unsetMerge_type()`
`void` `unsetNode_id()`
`void` `unsetRender_time_ms()`
`void` `unsetTotal_time_ms()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### merge_type

    public TMergeType merge_type

See Also:
  `TMergeType`

#### node_id

    public int node_id

#### execution_time_ms

    public long execution_time_ms

#### render_time_ms

    public long render_time_ms

#### total_time_ms

    public long total_time_ms

#### metaDataMap

    public static final Map<TRenderParseResult._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRenderParseResult

    public TRenderParseResult()

#### TRenderParseResult

    public TRenderParseResult​(TMergeType merge_type,
                              int node_id,
                              long execution_time_ms,
                              long render_time_ms,
                              long total_time_ms)

#### TRenderParseResult

    public TRenderParseResult​(TRenderParseResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRenderParseResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRenderParseResult,​TRenderParseResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRenderParseResult,​TRenderParseResult._Fields>`

#### getMerge_type

    public TMergeType getMerge_type()

See Also:
  `TMergeType`

#### setMerge_type

    public TRenderParseResult setMerge_type​(TMergeType merge_type)

See Also:
  `TMergeType`

#### unsetMerge_type

    public void unsetMerge_type()

#### isSetMerge_type

    public boolean isSetMerge_type()

Returns true if field merge_type is set (has been assigned a value) and false otherwise

#### setMerge_typeIsSet

    public void setMerge_typeIsSet​(boolean value)

#### getNode_id

    public int getNode_id()

#### setNode_id

    public TRenderParseResult setNode_id​(int node_id)

#### unsetNode_id

    public void unsetNode_id()

#### isSetNode_id

    public boolean isSetNode_id()

Returns true if field node_id is set (has been assigned a value) and false otherwise

#### setNode_idIsSet

    public void setNode_idIsSet​(boolean value)

#### getExecution_time_ms

    public long getExecution_time_ms()

#### setExecution_time_ms

    public TRenderParseResult setExecution_time_ms​(long execution_time_ms)

#### unsetExecution_time_ms

    public void unsetExecution_time_ms()

#### isSetExecution_time_ms

    public boolean isSetExecution_time_ms()

Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise

#### setExecution_time_msIsSet

    public void setExecution_time_msIsSet​(boolean value)

#### getRender_time_ms

    public long getRender_time_ms()

#### setRender_time_ms

    public TRenderParseResult setRender_time_ms​(long render_time_ms)

#### unsetRender_time_ms

    public void unsetRender_time_ms()

#### isSetRender_time_ms

    public boolean isSetRender_time_ms()

Returns true if field render_time_ms is set (has been assigned a value) and false otherwise

#### setRender_time_msIsSet

    public void setRender_time_msIsSet​(boolean value)

#### getTotal_time_ms

    public long getTotal_time_ms()

#### setTotal_time_ms

    public TRenderParseResult setTotal_time_ms​(long total_time_ms)

#### unsetTotal_time_ms

    public void unsetTotal_time_ms()

#### isSetTotal_time_ms

    public boolean isSetTotal_time_ms()

Returns true if field total_time_ms is set (has been assigned a value) and false otherwise

#### setTotal_time_msIsSet

    public void setTotal_time_msIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRenderParseResult._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRenderParseResult,​TRenderParseResult._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRenderParseResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRenderParseResult,​TRenderParseResult._Fields>`

#### isSet

    public boolean isSet​(TRenderParseResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRenderParseResult,​TRenderParseResult._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRenderParseResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRenderParseResult other)

Specified by:
  `compareTo` in interface `Comparable<TRenderParseResult>`

#### fieldForId

    public TRenderParseResult._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRenderParseResult,​TRenderParseResult._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`